-- i-test 174 for order 509905
begin
execute immediate ('drop index XAK1STOCKTRANSACTION');
exception 
	when others then null;
end;
/

begin
execute immediate (
'create index XIE1STOCKTRANSACTION on STOCKTRANSACTION
(
       STOCKRESERVATIONPERGRADE_ID, 
       TRANSACTIONDATE, 
       REASONCODE_ID, 
       TRANSACTIONTYPE_ID, 
       UNIQUESTOCK, 
       FROMSTOCKROOMLOCATION_ID, 
       TOSTOCKROOMLOCATION_ID
)'
);
exception 
	when others then null;
end;
/